commit 7e7473c5be176da5bc1f45362d9b37c685b28330
Author: Anonymous <noreply@xfce.org>
Date:   Tue Dec 13 12:53:38 2022 +0100

    I18n: Update translation lt (100%).
    
    179 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit d719eaa0f25482c87e8ce6884d309fce308562e4
Author: Anonymous <noreply@xfce.org>
Date:   Mon Dec 12 12:52:10 2022 +0100

    I18n: Update translation el (98%).
    
    176 translated messages, 3 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 098d50fdb184b335b7410d497ff468fffa262f2b
Author: Anonymous <noreply@xfce.org>
Date:   Sun Dec 11 12:51:44 2022 +0100

    I18n: Update translation el (98%).
    
    176 translated messages, 3 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 3cd7de2afc0dd727fbfe9895370e2b81ea6068d0
Author: Anonymous <noreply@xfce.org>
Date:   Sat Dec 10 00:49:46 2022 +0100

    I18n: Update translation ru (100%).
    
    179 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 5fda4d7aeb18c436e80835128b7e5c006e4a42fd
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Mon Dec 5 20:19:23 2022 +0100

    placement: Fix the initial position
    
    When using multiple monitors, with different panels setting struts,
    xfwm4 tries to compute the initial location based on the max area
    available.
    
    But in doing so, it's using the window position, which obviously is not
    the definitive location since we are precisely trying to determine this.
    
    As a result, we would compute the initial position wrong, when mapping a
    window on a secondary monitor.
    
    To avoid this, compute the maximum available area on the monitor we aim
    at mapping the window initially, instead of the monitor where the window
    would be before we place it.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>
    Closes: https://gitlab.xfce.org/xfce/xfwm4/-/issues/532

commit 8eff13f159956626c82ace68a20b6feaefc6c11b
Author: Anonymous <noreply@xfce.org>
Date:   Tue Dec 6 00:50:33 2022 +0100

    I18n: Update translation nb (100%).
    
    179 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit accf42ef08f1a46d55210de303aeb9924673014a
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Dec 5 22:06:39 2022 +0100

    build: Bump requirements for Xfce 4.18
    
    Signed-off-by: Gaël Bonithon <gael@xfce.org>

commit afc27cfd18bdc973d5696deb22122ffb8ddb879c
Author: Anonymous <noreply@xfce.org>
Date:   Mon Dec 5 00:50:36 2022 +0100

    I18n: Update translation oc (100%).
    
    179 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 07e27cee0a589b61542fc5ff276a865647fa879c
Author: Anonymous <noreply@xfce.org>
Date:   Sat Dec 3 12:52:05 2022 +0100

    I18n: Update translation tr (100%).
    
    179 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit e796934ef8b395bab7a9c865486b9635f17a94ae
Author: Anonymous <noreply@xfce.org>
Date:   Fri Dec 2 00:50:51 2022 +0100

    I18n: Update translation sr (100%).
    
    179 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 1a02dce2992f82df4adcf09a4dc68677d380a7db
Author: Anonymous <noreply@xfce.org>
Date:   Fri Dec 2 00:50:51 2022 +0100

    I18n: Update translation de (100%).
    
    179 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 807d056efc57c26dadcc51cbbefd8c7bc69b0a73
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 1 12:53:41 2022 +0100

    I18n: Update translation tr (100%).
    
    179 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit ebd888b426b5fd4111a9d29c567fd504a0762e47
Author: Alexander Schwinn <alexxcons@xfce.org>
Date:   Thu Dec 1 11:55:17 2022 +0100

    Back to development

commit d4139d9798617238acdaea60656b64694a17e186
Author: Alexander Schwinn <alexxcons@xfce.org>
Date:   Thu Dec 1 11:52:15 2022 +0100

    Updates for release

commit 698d78d96545aae8fe6c41b624972134c0a5613a
Author: Anonymous <noreply@xfce.org>
Date:   Thu Dec 1 00:50:38 2022 +0100

    I18n: Update translation fr (100%).
    
    179 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit a47e29a0cd0d705c809ef556b98d49aa518c7742
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Tue Nov 29 18:50:25 2022 +0100

    placement: Factorize max space computation
    
    Make the maxSpace() computation more generic so we can re-use if from
    clientMaxSpace(), removing duplicate code.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 7271cf67c38bca1af96ac41a44d99bb5ef2dca94
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Mon Nov 28 20:14:38 2022 +0100

    placement: Use a GdkRectangle instead of multiple coords
    
    Pass a reference to a GdkRectangle instead of multiple references to
    x/y/w/h.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 076be967ee0a408bd51f1e4defc7edf8bb3a05df
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Mon Nov 28 20:11:58 2022 +0100

    client: Move getSizeExcludingMargins()
    
    Move the function getSizeExcludingMargins() to placement.c and rename
    it clientMaxSpaceForGeometry(), it contains the same code found in other
    functions so we have an opportunity for a bit of cleanup.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit e68bd74f12a89216d57c376e0d449975a394e31e
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Mon Nov 28 19:57:23 2022 +0100

    screen: Add a new API to get the screen max space
    
    This is a bit of code that gets used in multiple places and duplicated
    everywhere.
    
    Add a convenient function that give us the maximum available space on a
    screen (not monitor, entire screen) based on a given a source area.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 4a3719abce95cb10f4cb48a5c997b51375d96c0f
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Mon Nov 28 19:50:17 2022 +0100

    placement: Remove the "same monitor" param
    
    The "same monitor" parameter we pass around is always set to TRUE, there
    is no point in keeping it.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 092121f06585372d9de35ccf4442224437163608
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Mon Nov 28 19:31:40 2022 +0100

    placement: Add new function to compute the max space available
    
    Currently, we have clientMaxSpace() which computes the max space
    available based on the current window position.
    
    But that function can return the wrong values when we have struts
    spanning across a monitor (i.e. a panel placed in between two monitors
    for example), because the panel settings the struts and the window may
    not be on the same monitor.
    
    That breaks the computation of the new location when moving windows
    between monitors.
    
    To fix this, add a new function which computes the max space available
    based on a geometry, rather than the client window.
    
    With this, we can fix the move to another monitor when we have struts
    expanding over an entire adjacent monitor.
    
    We can also remove updateSizeExcludingMargins() which is replaced by
    this new function.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 338b5b762a813e457ea9b857a35cc14871022ad1
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Mon Nov 28 19:39:53 2022 +0100

    client: No need to always reconfigure on monitor change
    
    clientMoveToMonitor() would reconfigure the window regardless of its
    state.
    
    But updating the maximized/fullscreen/tiled size already reconfigures
    the window, so we do not need to redo it in those cases.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 04789d700b5458e854a444490b8c47be5f7aac5f
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Mon Nov 28 19:25:37 2022 +0100

    client: Preserve saved position on monitor change
    
    Moving a maximized/tiled/fullscreen window to another monitor would
    compute the position ratio based on the saved position.
    
    As a result, when moving a maximized window back and forth, the window
    can end up in the wrong position/state.
    
    Make sure to compute the position ratio based on the actual position,
    and redo the same for the saved position when necessary.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit dc424775ab3ee69b1350e3eedcd0a638efb14df2
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Mon Nov 28 19:11:55 2022 +0100

    client: Get the GdkDisplay from ScreenInfo
    
    xfwm4 (still) supports Zaphod, whereas GTK/GDK does not.
    
    So we should avoid using gdk_display_get_default() and deduce the
    GdkDisplay from the current ScreenInfo/DisplayInfo we have.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 80f70ff82df7516f24f87af47dab667f6435525a
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Nov 29 18:43:11 2022 +0100

    settings-dialogs: Remove ENABLE_NLS ifdefs
    
    ENABLE_NLS is deprecated and it will not be supported by
    xfce4-dev-tools 4.18.
    
    Signed-off-by: Gaël Bonithon <gael@xfce.org>
    Closes: #682

commit d91f613300ab3aef6ea940b64c8d0b3cbdaffafd
Author: Anonymous <noreply@xfce.org>
Date:   Wed Nov 30 01:00:01 2022 +0100

    I18n: Update translation pt (100%).
    
    179 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 8227f4f9a30495c05e7cf8fd24b29aabf74756a6
Author: Anonymous <noreply@xfce.org>
Date:   Wed Nov 30 01:00:01 2022 +0100

    I18n: Update translation kk (100%).
    
    179 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 0a09f5d435985fe08f2fb5a1b02650876d4f2802
Author: Anonymous <noreply@xfce.org>
Date:   Wed Nov 30 01:00:01 2022 +0100

    I18n: Update translation et (100%).
    
    179 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 0368748c66ff45dea4149ded6f5f53647050a180
Author: Anonymous <noreply@xfce.org>
Date:   Wed Nov 30 01:00:01 2022 +0100

    I18n: Update translation es (100%).
    
    179 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 8e06b042b9b3f8ad5f03efe56f576de72285d971
Author: Anonymous <noreply@xfce.org>
Date:   Tue Nov 29 12:53:34 2022 +0100

    I18n: Update translation bg (100%).
    
    179 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 4211580d20abc44ee572c1f80cfb3e6e1e01890d
Author: Anonymous <noreply@xfce.org>
Date:   Tue Nov 29 00:50:12 2022 +0100

    I18n: Update translation sq (99%).
    
    178 translated messages, 1 untranslated message.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 7167d736761127172c7e6ea8ab6ab8f512b165f4
Author: Anonymous <noreply@xfce.org>
Date:   Tue Nov 29 00:50:12 2022 +0100

    I18n: Update translation lt (100%).
    
    179 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit f9caac594e9df3c8fdf3413d67ead69dc7ba86cc
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:34 2022 +0100

    I18n: Update translation pt_BR (100%).
    
    179 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit b132bced534320895229cffc0c82e3a46b742f35
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:34 2022 +0100

    I18n: Update translation pl (100%).
    
    179 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 552ae2b3f932708d53e76b11164d767adcb15607
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:34 2022 +0100

    I18n: Update translation nl (100%).
    
    179 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit a34bd62093164e85b51d3b29a7ecd24026bebf45
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:34 2022 +0100

    I18n: Update translation ja (100%).
    
    179 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 94640f610d991578cbd2eac0c402ce17ea3bd1f0
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 28 21:16:34 2022 +0100

    I18n: Update translation it (100%).
    
    179 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit b994692ee51e8b8610308f9d213e161f0de42c0d
Author: Arkadiy Illarionov <qarkai@gmail.com>
Date:   Mon Nov 14 21:22:18 2022 +0300

    Fix build warnings

commit 60d44aab816cf0c700c58bcad9fbdf21a7a7be02
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Thu Nov 24 18:05:27 2022 +0100

    client: Toggle from partial maximization to unmaximize
    
    Untiol now, when a window was partially maximized (either vertically or
    horizontally), pressign the maximuze button (or the keyboard shortcut)
    would toggle to full maximization.
    
    But that's confusing, users usually expect the window to be unmaximized
    rather than fully maximized in that case.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>
    Related: https://gitlab.xfce.org/xfce/xfwm4/-/issues/675

commit a525f4c95fc84a76ec8f0bb3ee4267ad833f7299
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Thu Nov 24 17:58:04 2022 +0100

    placement: Auto-maximize windows with both width and height
    
    Currently, xfwm4 would auto-maximize newly mapped window in tioerh
    horizontal or vertical dimensions independently when either the width or
    height of the window exceeds the size of the output.
    
    But that's partial maximization can be confusing for users, so instead,
    we would maximize fully when both the width and height exceed the output
    size.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>
    Related: https://gitlab.xfce.org/xfce/xfwm4/-/issues/675

commit 94c6b2507e771aaf3762fb15291c0b8b04e9c3a1
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Thu Nov 24 17:53:04 2022 +0100

    startup-notification: Fix timeout computation
    
    Commit f68c04ba8 "Crash/stack smash on some architectures" had a typo
    that would mix the values of usecs and secs, causing a very long busy
    cursor when the startup notification never arrives.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>
    Fixes: f68c04ba8 - "Crash/stack smash on some architectures"
    Closes: https://gitlab.xfce.org/xfce/xfwm4/-/issues/518

commit 1d322f502dcf7e6523cebc1a3b2eba1a71a7d576
Author: Alexander Schwinn <alexxcons@xfce.org>
Date:   Sat Nov 12 22:01:16 2022 +0100

    bump copyright to 2022

commit f9e6a27ba73dada918640201e1c988b5a37ef630
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Mon Nov 14 20:25:26 2022 +0100

    client: Update workarea only for windows with struts
    
    When showing or withdrawing a window, we would unconditionally update
    the workarea.
    
    But only windows which set struts can effectively change the workarea.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit ca9c1aa8ec4ac7d1e70fcd8da4d69c1912172e7b
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Mon Nov 14 20:12:59 2022 +0100

    client: Fix
    
    clientScreenResize() ensures that tiled, fullscreen and maximized wintod
    remain correctly sized when the overall screen size is changed, but also
    tries to save and restore window positions in case of relayouts.
    
    Since commit 182bd22c „Update maximized on struts change“ however, we
    all clientScreenResize() from workspaceUpdateArea() unconditionally
    while workspaceUpdateArea() can be called every time a window is moved.
    
    That causes a regression when moving undecorated windows, typically
    those meant to remain fully visible on screen when screen size changes,
    and every other move would save and restore the previous position,
    causing spurious and unexpected window movements.
    
    To solve the problem, add a new parameter to clientScreenResize() to
    specify if the all is originating from a relayout.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>
    Fixes: 182bd22c - Update maximized on struts change
    Closes: https://gitlab.xfce.org/xfce/xfwm4/-/issues/677

commit 473153a498b13350f509b755349957da9223b7bb
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Mon Nov 14 20:08:36 2022 +0100

    netwm: Fix clientValidateNetStrut()
    
    clientValidateNetStrut() does not work as intended and sometimes even
    produce negative struts values.
    
    Typically, we now support struts across different monitors by applying
    the struts only on the monitor when the window settings these is
    located, meaning that we now support having covering the entire screen
    (with multi-monitors), something that clientValidateNetStrut() would
    deny.
    
    Simply the logic in clientValidateNetStrut() to just filter out struts
    that cover the entire X11 screen instead.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit e2b5746390caf58299237a8935c0caca68394d26
Author: Nicholas Dahm <7307-intensity@users.noreply.gitlab.xfce.org>
Date:   Mon Nov 7 07:34:15 2022 +0000

    Added functionality to move window to another monitor

commit b5f42babdd87e7ff4f21c7a945daee152c2c7190
Author: Enrico Weigelt, metux IT consult <info@metux.net>
Date:   Tue Oct 11 14:41:22 2022 +0000

    configure.ac.in: drop obsolete check for libSM
    
    Closes: https://gitlab.xfce.org/xfce/xfwm4/-/issues/178
    Signed-off-by: Enrico Weigelt, metux IT consult <info@metux.net>

commit a716e37f3654c68da598560c44ebaf3c25219a07
Author: Enrico Weigelt, metux IT consult <info@metux.net>
Date:   Thu Oct 13 11:38:42 2022 +0000

    client.c: fix a little typo
    
    Signed-off-by: Enrico Weigelt, metux IT consult <info@metux.net>

commit 98da680d1f467bb8f2f40b4cb2668cc6a416c378
Author: Enrico Weigelt, metux IT consult <info@metux.net>
Date:   Tue Oct 4 09:37:18 2022 +0000

    placement: clientMaxSpace() drop unused variable
    
    Signed-off-by: Enrico Weigelt, metux IT consult <info@metux.net>

commit 4380204d7ac19732f29400878d168d1823270368
Author: Enrico Weigelt, metux IT consult <info@metux.net>
Date:   Thu Oct 6 14:15:27 2022 +0200

    ui_style: drop unused getUIPangoContext()
    
    The function getUIPangoContext() became unused quite some time ago
    and thus can be removed.
    
    Fixes: 065a12049437200035e052962a2a6064f9a31be8
    Signed-off-by: Enrico Weigelt, metux IT consult <info@metux.net>

commit 3cd8c020644784eb0e90ce6d057933c96550cc27
Author: Enrico Weigelt, metux IT consult <info@metux.net>
Date:   Wed Oct 5 13:22:03 2022 +0200

    configure.ac.in: drop unused HAVE_CYGWIN conditional
    
    Nobody uses this conditional, so we can drop it.
    
    Signed-off-by: Enrico Weigelt, metux IT consult <info@metux.net>

commit 9db14934981156192d053ca36ba9d21eadec1d22
Author: Enrico Weigelt, metux IT consult <info@metux.net>
Date:   Wed Oct 5 13:01:48 2022 +0200

    configure.ac.in: fix obsolete AC_HEADER_STDC / obsolete checks
    
    The macro is obsolete and not very meaningful anyways. Instead we're
    using a bunch of headers we should check for. OTOH, there're still
    some check for functions that aren't needed anymore.
    
    Signed-off-by: Enrico Weigelt, metux IT consult <info@metux.net>

commit fe86ed3f2208ab339af4566c3eb7f8ead124365f
Author: Enrico Weigelt, metux IT consult <info@metux.net>
Date:   Wed Oct 5 12:14:17 2022 +0200

    configure.ac.in: replace obsolete AC_HELP_STRING
    
    AC_HELP_STRING() macro has been obsoleted by AS_HELP_STRING()
    for over a decade now.
    
    Signed-off-by: Enrico Weigelt, metux IT consult <info@metux.net>

commit d62497f1ce2b22e48260c028a35968a228550e93
Author: Enrico Weigelt, metux IT consult <info@metux.net>
Date:   Fri Oct 21 10:34:33 2022 +0000

    netwm.c: simplify and optimize struts array
    
    Copying over and clearing the struts array can be done with less
    core and more effiently using memcpy() and memset() intrinsic,
    which are compiled into faster vector ops.
    
    Signed-off-by: Enrico Weigelt, metux IT consult <info@metux.net>

commit 6326d78b07908e0dbad7a16f5e7e1e5fd0ed9f3e
Author: Enrico Weigelt, metux IT consult <info@metux.net>
Date:   Fri Nov 4 11:12:15 2022 +0000

    client.h: move STRUTS_SIZE to hints.h
    
    All the other STRUTS_* defines are in hints.h, so move also this
    one there.
    
    Signed-off-by: Enrico Weigelt, metux IT consult <info@metux.net>

commit dde9b75dba64fa9a234f347c5c61e7a0970bbc94
Author: Akbarkhon Variskhanov <akbarkhon.variskhanov@gmail.com>
Date:   Wed Nov 2 09:48:46 2022 +0000

    xfce-wm-menu.png: Fix the 22x22 icon size

commit fcba4c92ca21cfc7122b5414cc4dfa9c9494bbbc
Author: Andre Miranda <andreldm@xfce.org>
Date:   Thu Nov 3 20:29:37 2022 +0100

    Drop subtitle from workspace settings dialog
    
    Signed-off-by: Andre Miranda <andreldm@xfce.org>

commit cd875f6ba12497ce1dfcd6c9c734373e1a1b9b52
Author: Alexander Schwinn <alexxcons@xfce.org>
Date:   Tue Nov 1 12:14:08 2022 +0100

    Back to development

commit d5cb172ebe019d3aff6b2b493d9d0ee793133dd2
Author: Alexander Schwinn <alexxcons@xfce.org>
Date:   Tue Nov 1 12:05:29 2022 +0100

    updated NEWS

commit b2bf6417b26d5ec6d84e489d77bc0f19b64dd9d4
Author: Alexander Schwinn <alexxcons@xfce.org>
Date:   Tue Nov 1 12:03:39 2022 +0100

    Updates for release

commit e7bd1cc0e976dfd72f1d04d1d38510aadc4b3498
Author: Alexander Schwinn <alexxcons@xfce.org>
Date:   Tue Nov 1 10:57:38 2022 +0100

    Updates for release

commit c26c939406fac2cc51e7902bbda53221b89947a2
Author: Enrico Weigelt, metux IT consult <info@metux.net>
Date:   Wed Oct 19 12:34:32 2022 +0000

    drop obsolete and unsupported KDE systray protocol
    
    Aeons ago KDE invented its own (KDE specific) protocol for managing system
    trays, which is deprecated for long time. Since around 15 years it's only
    built when explicitly enabled and marked unsupported.
    
    Therefore drop the old unsupported stuff.
    
    Signed-off-by: Enrico Weigelt, metux IT consult <info@metux.net>

commit 77f5afacc540f8c1c0fdd8bc1f0bd05901b0636f
Author: Enrico Weigelt, metux IT consult <info@metux.net>
Date:   Thu Oct 20 14:57:30 2022 +0000

    wireframe: add window class hint to wireframes
    
    This allows other programs, eg. external compositors, to properly identify
    wireframes.
    
    Closes: https://gitlab.xfce.org/xfce/xfwm4/-/issues/208
    Signed-off-by: Enrico Weigelt, metux IT consult <info@metux.net>

commit 1661206a2a13b55db8dab502c74bf32e84eb1977
Author: Anonymous <noreply@xfce.org>
Date:   Thu Oct 20 00:50:44 2022 +0200

    I18n: Update translation kk (100%).
    
    178 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit c00e61320743c939c3b07be5ae4dd73099e6b336
Author: Enrico Weigelt, metux IT consult <info@metux.net>
Date:   Tue Oct 11 09:17:27 2022 +0000

    configure.ac.in: configure option to enable poswin
    
    The position window is currently just a debug helper, that can only be
    enabled by explicitly passing extra CFLAGS (-DSHOW_POSITION).
    
    Some distros already do that, but that's rather invasive from distro pov
    (using such undocumented tricks isn't actually a clean approach), and
    users asked for this as a general feature.
    
    A trivial solution is adding a configure option for that. It still needs
    to be enabled at compile-time, but at least needs less special hacks
    and easier to maintain by standard distro build machineries.
    
    Signed-off-by: Enrico Weigelt, metux IT consult <info@metux.net>

commit 5b30f1ac9c0dfc3317dc51f846fed184989978ca
Author: ging-dev <gingdz11012001@gmail.com>
Date:   Sat Dec 11 20:43:53 2021 +0700

    Make workspace setting workable with other window managers

commit f5235c379103afb973cac52d2c05ee1afec46771
Author: Enrico Weigelt, metux IT consult <info@metux.net>
Date:   Wed Oct 5 09:29:09 2022 +0000

    Makefile.am: remove stale intltool-merge lockfile
    
    Sometimes it might happen that a stale lockfile is left over,
    causing distcheck to fail (causing the gitlab pipeline to fail).
    
    Signed-off-by: Enrico Weigelt, metux IT consult <info@metux.net>

commit c34d9ff8fe8e8dfd2aa2cec6d02172adbdfce7e9
Author: Enrico Weigelt, metux IT consult <info@metux.net>
Date:   Wed Oct 5 09:20:21 2022 +0000

    gitignore: add files generated by distcheck
    
    Some files generated by `make distcheck` haven't been catched
    by .gitignore yet.
    
    Signed-off-by: Enrico Weigelt, metux IT consult <info@metux.net>

commit bb978bba8da5033bb673b761335ec2c0b10b05d8
Author: Enrico Weigelt, metux IT consult <info@metux.net>
Date:   Tue Sep 20 17:41:33 2022 +0200

    common: xfwm_get_monitor_geometry() report fail via return code, fix potential NULL
    
    When requested monitor number doesn't exist, then gdk_display_get_monitor()
    returns NULL - there shouldn't be any operations tried on NULL objects.
    In the current implementation the caller doesn't know whether the call
    actually succeeds.
    
    Therefore add a safety check and report back via return code. This also has
    the nice side effect that it makes looping easier.
    
    Signed-off-by: Enrico Weigelt, metux IT consult <info@metux.net>

commit 76b286f23520398e7f4a6d6e36ed255d6fac53a5
Author: Enrico Weigelt, metux IT consult <info@metux.net>
Date:   Tue Sep 13 10:18:32 2022 +0200

    compositor: fix ifdef
    
    The symbol HAVE_PRESENT_EXTENSION is either defined or not,
    thus we have to use #ifdef instead #if
    
    Signed-off-by: Enrico Weigelt, metux IT consult <info@metux.net>

commit a632ba15f1514f3f67f7a5adb6288f00f5a0871d
Author: Enrico Weigelt, metux IT consult <info@metux.net>
Date:   Tue Oct 4 13:40:37 2022 +0000

    compositor: fix printf format strings
    
    The format string expected long int, but parameter is long long int.
    
    Signed-off-by: Enrico Weigelt, metux IT consult <info@metux.net>

commit 95e58ac809423dfcbf5f020fdff8f2e3a06e7909
Author: Anonymous <noreply@xfce.org>
Date:   Sun Aug 28 00:56:37 2022 +0200

    I18n: Update translation ru (100%).
    
    178 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 08ef024280460edb3ade1872a7cc699cacd19053
Author: Anonymous <noreply@xfce.org>
Date:   Wed Aug 3 00:55:25 2022 +0200

    I18n: Update translation oc (100%).
    
    178 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 32b34f2c3ac67ff1561a1a82c295a6b01575ddca
Author: ზურაბი დავითაშვილი <zurabi@tuta.io>
Date:   Tue Jul 26 00:55:26 2022 +0200

    I18n: Update translation ka (98%).
    
    175 translated messages, 3 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit c32cdbba88b1b8c8fa8a2e00163ce67767c91afe
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Fri Jul 15 11:25:37 2022 +0200

    placement: Compute struts using output scale
    
    The struts are in client coordinate space, we need to take the scale of
    the output into account.
    
    Closes: https://gitlab.xfce.org/xfce/xfwm4/-/issues/659
    Fixes: 7e8d60bb
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 182bd22c4675150497aa4e3de1348a97f7277461
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Fri Jul 15 11:19:24 2022 +0200

    workspace: Update maximized on struts change
    
    Since commit 7e8d60bb (Ignore struts from windows on other monitors),
    the work area is limited to the primary monitor ony.
    
    As a result, when a panel is placed on a non-primary output, the workarea
    does not actually change.
    
    But we would update the maximized window size and position only when the
    workarea changed, which is now wrong, we need to update any time the
    struts change.
    
    Closes: https://gitlab.xfce.org/xfce/xfwm4/-/issues/658
    Fixes: 7e8d60bb
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit 53d102160a2b0e0fffaf1adb31d5f680d9535863
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sun Jul 3 21:20:05 2022 +0200

    menu: Small code cleanup
    
    The menu code checks for the possibility to grab the keyboard and mouse
    prior to open the menu.
    
    But that should not be needed, and induces multiple round trips to the
    Xserver.
    
    Let's just drop that code.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit aa975ac632d184a13103364b8c495213e4ee8577
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sun Jul 3 19:17:57 2022 +0200

    focus: Fix focus being lost on workspace switch
    
    When switching workspaces using the keyboard, the focus is lost and
    any later keyboard shortcuts fail.
    
    This is because of commit 3ff334f50 - "Check for user focus for when
    passing focus".
    
    The problem is that the code checks for the current focused (or pending)
    window, but does not actually verify that neither are non NULL.
    
    This partially reverts commit 3ff334f50
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>

commit ddaa7dd391fe302637b0ee9fcba6d8ca0b47659b
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Tue Jun 21 09:38:37 2022 +0200

    icons: Check XGetGeometry() appropriate return value
    
    XGetGeometry() returns a nonzero status  on  success; otherwise, it
    returns a zero status.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>
    Fixes: a7971823  - icons: Gracefully handle non-existent icons
    Closes: https://gitlab.xfce.org/xfce/xfwm4/-/issues/656

commit 554e5c7a195b9e5d7b66823b46f6000c911bb670
Author: Olivier Fourdan <fourdan@xfce.org>
Date:   Sun Jun 12 21:13:58 2022 +0200

    compositor: Clear root backing pixmap before use
    
    The content of newly created pixmap is actually undefined and may
    content random data, make sure we clear the root backing pixmaps at
    creation.
    
    Signed-off-by: Olivier Fourdan <fourdan@xfce.org>
    Closes: https://gitlab.xfce.org/xfce/xfwm4/-/issues/649

commit 9f3fce34750ac552e9d561c395cb467de6c77204
Author: Anonymous <noreply@xfce.org>
Date:   Sat Jul 2 00:55:21 2022 +0200

    I18n: Update translation pt_BR (100%).
    
    178 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 37ba800e048f4ee9f9787f9fa9c520e8a298e07e
Author: Anonymous <noreply@xfce.org>
Date:   Sat Jun 25 12:59:53 2022 +0200

    I18n: Update translation el (98%).
    
    175 translated messages, 3 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit b601b206ea755d57172f3b9dc4ed2e96e61d8833
Author: Simon Steinbeiss <simon.steinbeiss@elfenbeinturm.at>
Date:   Sun Jun 5 22:28:04 2022 +0200

    Fix intltool lock file bug in make distcheck
    
    For reference see https://code.launchpad.net/~invidian/intltool/fix-dangling-lock-file/+merge/400825

commit 272cee761ead2c0de191d2ec05c97eada292145b
Author: Mutaz ismail <egypsy79@gmail.com>
Date:   Tue Jun 7 12:57:43 2022 +0200

    I18n: Update translation ar (100%).
    
    178 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 61405f761b18dd1bb3b6224b7e1c95b21e947fb0
Author: Anonymous <noreply@xfce.org>
Date:   Sun Jun 5 12:57:49 2022 +0200

    I18n: Update translation el (98%).
    
    175 translated messages, 3 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit b952d2dcab2ede1431584b390cf70ca283046159
Author: Anonymous <noreply@xfce.org>
Date:   Sun Jun 5 00:55:36 2022 +0200

    I18n: Update translation el (98%).
    
    175 translated messages, 3 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit d5b3390db9aadc2ed6294c3190277eaeab0b8e4e
Author: Anonymous <noreply@xfce.org>
Date:   Fri Jun 3 00:55:31 2022 +0200

    I18n: Update translation el (98%).
    
    175 translated messages, 3 untranslated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit 6b84ef2b9fa5c49366ed0486b8d1c309994c1c0a
Author: Anonymous <noreply@xfce.org>
Date:   Fri Apr 29 00:57:09 2022 +0200

    I18n: Update translation en_GB (100%).
    
    178 translated messages.
    
    Transifex (https://www.transifex.com/xfce/public/).

commit dd2b9f7b7df7984007a2393904de12371dd77709
Author: Anonymous <noreply@xfce.org>
Date:   Tue Apr 26 00:57:14 2022 +0200

    I18n: Update translation he (100%).
    
    178 translated messages.
